- Qt 5.5
- Qt Multimedia
- C++ Classes
- QMediaBindableInterface
- Qt 5.5.1 Reference Documentation

# QMediaBindableInterface Class

The QMediaBindableInterface class is the base class for objects extending media objects functionality. More...

Header: | #include <QMediaBindableInterface>
qmake: | QT += multimedia
Inherited By: | QCameraImageCapture, QMediaPlaylist, QMediaRecorder, and QRadioData

- List of all members, including inherited members

## Public Functions

virtual | ~QMediaBindableInterface()
virtual QMediaObject * | mediaObject() const = 0

## Protected Functions

virtual bool | setMediaObject(QMediaObject * object) = 0

## Detailed Description

The QMediaBindableInterface class is the base class for objects extending media objects functionality.

## Member Function Documentation

### `[virtual]` QMediaBindableInterface::~QMediaBindableInterface()

Destroys a media helper object.

### `[pure virtual]` QMediaObject * QMediaBindableInterface::mediaObject() const

Return the currently attached media object.

See also setMediaObject().

### `[pure virtual protected]` bool QMediaBindableInterface::setMediaObject(QMediaObject * object)

Attaches to the media object. Returns true if attached successfully, otherwise returns false.

See also mediaObject().